package com.cpm.lorealbaMabeline.gsonGetterSetter;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

public class MasterPromotion {

    @SerializedName("CounterId")
    @Expose
    private Integer counterId;
    @SerializedName("PromoId")
    @Expose
    private Integer promoId;
    @SerializedName("PromotionSetEntityType")
    @Expose
    private String promotionSetEntityType;
    @SerializedName("PromotionGetEntityType")
    @Expose
    private String promotionGetEntityType;
    @SerializedName("PromotionSetEntityValue")
    @Expose
    private String promotionSetEntityValue;
    @SerializedName("PromotionGetEntityValue")
    @Expose
    private String promotionGetEntityValue;
    @SerializedName("PromotionCode")
    @Expose
    private String promotionCode;
    @SerializedName("PromotionName")
    @Expose
    private String promotionName;
    @SerializedName("StartTime")
    @Expose
    private String startTime;
    @SerializedName("EndTime")
    @Expose
    private String endTime;

    @SerializedName("StartDate")
    @Expose
    private String StartDate;

    @SerializedName("EndDate")
    @Expose
    private String EndDate;

    @SerializedName("PromoPath")
    @Expose
    private String PromoPath;

    @SerializedName("MaxValue")
    @Expose
    private String maxValue;

    public String getPromoType() {
        return PromoType;
    }

    public void setPromoType(String promoType) {
        PromoType = promoType;
    }

    @SerializedName("PromoType")
    @Expose
    private String PromoType;

    public String getMaxValue() {
        return maxValue;
    }

    public void setMaxValue(String maxValue) {
        this.maxValue = maxValue;
    }


    public String getStartDate() {
        return StartDate;
    }

    public void setStartDate(String startDate) {
        StartDate = startDate;
    }

    public String getEndDate() {
        return EndDate;
    }

    public void setEndDate(String endDate) {
        EndDate = endDate;
    }

    public String getPromoPath() {
        return PromoPath;
    }

    public void setPromoPath(String promoPath) {
        PromoPath = promoPath;
    }

    public String getPromoOfferTab() {
        return PromoOfferTab;
    }

    public void setPromoOfferTab(String promoOfferTab) {
        PromoOfferTab = promoOfferTab;
    }

    public String getPromoOfferMobile() {
        return PromoOfferMobile;
    }

    public void setPromoOfferMobile(String promoOfferMobile) {
        PromoOfferMobile = promoOfferMobile;
    }

    public String getPromo_mrp_product() {
        return promo_mrp_product;
    }

    @SerializedName("PromoOfferTab")
    @Expose
    private String PromoOfferTab;

    @SerializedName("PromoOfferMobile")
    @Expose
    private String PromoOfferMobile;


    public Integer getCounterId() {
        return counterId;
    }

    public void setCounterId(Integer counterId) {
        this.counterId = counterId;
    }

    public Integer getPromoId() {
        return promoId;
    }

    public void setPromoId(Integer promoId) {
        this.promoId = promoId;
    }

    public String getPromotionSetEntityType() {
        return promotionSetEntityType;
    }

    public void setPromotionSetEntityType(String promotionSetEntityType) {
        this.promotionSetEntityType = promotionSetEntityType;
    }

    public String getPromotionGetEntityType() {
        return promotionGetEntityType;
    }

    public void setPromotionGetEntityType(String promotionGetEntityType) {
        this.promotionGetEntityType = promotionGetEntityType;
    }

    public String getPromotionSetEntityValue() {
        return promotionSetEntityValue;
    }

    public void setPromotionSetEntityValue(String promotionSetEntityValue) {
        this.promotionSetEntityValue = promotionSetEntityValue;
    }

    public String getPromotionGetEntityValue() {
        return promotionGetEntityValue;
    }

    public void setPromotionGetEntityValue(String promotionGetEntityValue) {
        this.promotionGetEntityValue = promotionGetEntityValue;
    }

    public String getPromotionCode() {
        return promotionCode;
    }

    public void setPromotionCode(String promotionCode) {
        this.promotionCode = promotionCode;
    }

    public String getPromotionName() {
        return promotionName;
    }

    public void setPromotionName(String promotionName) {
        this.promotionName = promotionName;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public boolean isPromotionactive() {
        return promotionactive;
    }

    public void setPromotionactive(boolean promotionactive) {
        this.promotionactive = promotionactive;
    }

    public boolean promotionactive=false;

    public String getSelected_promo_productId() {
        return selected_promo_productId;
    }

    public void setSelected_promo_productId(String selected_promo_productId) {
        this.selected_promo_productId = selected_promo_productId;
    }

    String selected_promo_productId ="0";

    public String getSelected_promoproduct() {
        return selected_promoproduct;
    }

    public void setSelected_promoproduct(String selected_promoproduct) {
        this.selected_promoproduct = selected_promoproduct;
    }

    String selected_promoproduct="";

    public String getSelected_promoproductQTY() {
        return selected_promoproductQTY;
    }

    public void setSelected_promoproductQTY(String selected_promoproductQTY) {
        this.selected_promoproductQTY = selected_promoproductQTY;
    }

    String selected_promoproductQTY="0";
    public void setPromo_mrp_product(String promo_mrp_product) {
        this.promo_mrp_product = promo_mrp_product;
    }

    String promo_mrp_product ="";

    public String getPromo_ean_code() {
        return promo_ean_code;
    }

    public void setPromo_ean_code(String promo_ean_code) {
        this.promo_ean_code = promo_ean_code;
    }

    String promo_ean_code ="";

    public String getStr_promo_on_applyed_productId() {
        return str_promo_on_applyed_productId;
    }

    public void setStr_promo_on_applyed_productId(String str_promo_on_applyed_productId) {
        this.str_promo_on_applyed_productId = str_promo_on_applyed_productId;
    }

    String str_promo_on_applyed_productId;

    public String getStr_promo_on_applyed_productname() {
        return str_promo_on_applyed_productname;
    }

    public void setStr_promo_on_applyed_productname(String str_promo_on_applyed_productname) {
        this.str_promo_on_applyed_productname = str_promo_on_applyed_productname;
    }

    String str_promo_on_applyed_productname ="0";

}